package requestor

import "fmt"

type AgentError struct {
	Code int
	Text string
}

func (agent *AgentError) Error() string {
	return fmt.Sprintf("Error code: %d. Error text: %s", agent.Code, agent.Text)
}
